% Internal dose calculations for Becci et al. (1982) inhalation study
% Exposure levels (CONCMGS) are those used by Saillenfait plus an external dose BMCL
% Paul Schlosser, U.S.EPA, Aug. 28, 2013
% NOAEL= 237mg/kg/day  based on a developmental study dermally exposing rats to
% NMP for 8-hrs, GD 6 to 15 (Becci et al, 1982).
use preg_rat_params
GDDAYS=6.01; TSTOP=14*24; CINT=0.01; BWINIT=0.2375; TWASH=8; DOSEINTERVAL=24; SA=25;
GDSTOP=19; 
prepare @clear@all
res = [0,0,0,0];
DOSE2=402
for DSK=0 %[75 237 750]
	start @nocallback
	apk = max(_aucbb(_t>24)-_aucbb(_t<(TSTOP-24)));
	res=[res;[DSK,apk,(AUCBB*24/TSTOP),max(_cv)]]
end
plot(_days,_cv)
%plot(_days,_rdose)
%plot(_days,_csk)