% Simulations of Saillenfait et al. (2002) oral gavage bioassay
%t poet changes indicated. 
ratparam
use preg_rat_params
prepare @clear@all  % T DAYS AUCBB CV
BWINIT=0.270  % T Poet - GD6 average (268-273)
GDDAYS=6.01; CINT=0.01; TCHNG=6; DOSEINTERVAL=24;
%FRACIN=0.7 - can be set if fitting to Ghantous data without high outlier is desired
TSTOP=TSTART+24
CONCPPM=120
start @nocallback
AUCAVG=AUCBB*24/TSTOP ;   %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=AUCBB;
DAY=(TSTOP-TSTART)/24;
CMAX=max(_cv);

%CONCMGS=[122 243 302 487]

TSTOP=TSTART+2*24
start @nocallback
AUCAVG=[AUCAVG AUCBB*24/TSTOP];    %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=[AUCTOT AUCBB];
DAY=[DAY (TSTOP-TSTART)/24];
CMAX=[CMAX max(_cv)];

TSTOP=TSTART+3*24
start @nocallback
AUCAVG=[AUCAVG AUCBB*24/TSTOP];    %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=[AUCTOT AUCBB];
DAY=[DAY (TSTOP-TSTART)/24];
CMAX=[CMAX max(_cv)];

TSTOP=TSTART+4*24
start @nocallback
AUCAVG=[AUCAVG AUCBB*24/TSTOP];    %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=[AUCTOT AUCBB];
DAY=[DAY (TSTOP-TSTART)/24];
CMAX=[CMAX max(_cv)];

TSTOP=TSTART+5*24
start @nocallback
AUCAVG=[AUCAVG AUCBB*24/TSTOP];    %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=[AUCTOT AUCBB];
DAY=[DAY (TSTOP-TSTART)/24];
CMAX=[CMAX max(_cv)];

TSTOP=TSTART+6*24
start @nocallback
AUCAVG=[AUCAVG AUCBB*24/TSTOP];    %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=[AUCTOT AUCBB];
DAY=[DAY (TSTOP-TSTART)/24];
CMAX=[CMAX max(_cv)];

TSTOP=TSTART+7*24
start @nocallback
AUCAVG=[AUCAVG AUCBB*24/TSTOP];    %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=[AUCTOT AUCBB];
DAY=[DAY (TSTOP-TSTART)/24];
CMAX=[CMAX max(_cv)];


TSTOP=TSTART+8*24
start @nocallback
AUCAVG=[AUCAVG AUCBB*24/TSTOP];    %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=[AUCTOT AUCBB];
DAY=[DAY (TSTOP-TSTART)/24];
CMAX=[CMAX max(_cv)];

TSTOP=TSTART+9*24
start @nocallback
AUCAVG=[AUCAVG AUCBB*24/TSTOP];    %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=[AUCTOT AUCBB];
DAY=[DAY (TSTOP-TSTART)/24];
CMAX=[CMAX max(_cv)];

TSTOP=TSTART+10*24
start @nocallback
AUCAVG=[AUCAVG AUCBB*24/TSTOP];    %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=[AUCTOT AUCBB];
DAY=[DAY (TSTOP-TSTART)/24];
CMAX=[CMAX max(_cv)];

TSTOP=TSTART+11*24
start @nocallback
AUCAVG=[AUCAVG AUCBB*24/TSTOP];    %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=[AUCTOT AUCBB];
DAY=[DAY (TSTOP-TSTART)/24];
CMAX=[CMAX max(_cv)];

TSTOP=TSTART+12*24
start @nocallback
AUCAVG=[AUCAVG AUCBB*24/TSTOP];    %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=[AUCTOT AUCBB];
DAY=[DAY (TSTOP-TSTART)/24];
CMAX=[CMAX max(_cv)];

TSTOP=TSTART+13*24
start @nocallback
AUCAVG=[AUCAVG AUCBB*24/TSTOP];    %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=[AUCTOT AUCBB];
DAY=[DAY (TSTOP-TSTART)/24];
CMAX=[CMAX max(_cv)];

TSTOP=TSTART+14*24
start @nocallback
AUCAVG=[AUCAVG AUCBB*24/TSTOP];    %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=[AUCTOT AUCBB];
DAY=[DAY (TSTOP-TSTART)/24];
CMAX=[CMAX max(_cv)];

TSTOP=TSTART+15*24
start @nocallback
AUCAVG=[AUCAVG AUCBB*24/TSTOP];    %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=[AUCTOT AUCBB];
DAY=[DAY (TSTOP-TSTART)/24];
CMAX=[CMAX max(_cv)];

plot(_t,_cv)
plot(_days,_aucbb)  

AUCTOT
AUCAVG
CMAX