prepare @clear @all
ratparam	% Added by Paul Schlosser (PS), U.S. EPA, to assure parameter consistency; 05-01-2013
%preg_rat_params
%payan dermal exposures: Payan et al. DMD 03
  % DOSE=0,PDOSE=0,  % Commented out, PS 5-1-13
	TCHNG=72; TSTOP=48; SA=9;VLIQ=150e-6; 
BWINIT=0.220; % BWinit
CONCL=150000; 
FAD=0.778 % 77.8 PER MIDGELY ESTIMATE - 18%+ RECOVERED ON DRESSING and exposure site, 77.8 total radioactivity excreted
 CINT=0.5; % 
 start @nocallback
 holdauhp=[_t _auhp]; holdaunp=[_t _aunp]; holdca=[_t _cv]; 
 holdch=[_t _cvhp]; holdcsurf=[_t _csurf];
 

MASBAL

% DATA pNMP (T,midgely 1992 CV)
mNMP = [0.17	23.0
0.25	28.1
2	28.1
4	23.6
6	24.1
8	15.8
];


plot(holdca(:,1),holdca(:,2), mNMP(:,1), mNMP (:,2),'midgely 1992 Dermal plasma.aps')
