prepare @clear T AUHP CVHP

ratparam
TCHNG=0.01; TSTOP=78; BWINIT=0.275; CINT=0.1; holdcvhp=[]; holdauhp=[];

for IVDOSE=[0.1 1 10 100]
	start @nocallback
  holdcvhp=[holdcvhp _cvhp]; holdauhp=[holdauhp _auhp];
end

IVDOSE=500; start @nocallback
  holdcvhp=[_t holdcvhp _cvhp]; holdauhp=[_t holdauhp _auhp];


%Data, 5HNMP peak mg/kg		(T, CVHP, dose in order 0.1,1,10,100,500)	
%note 500 above curve
%(T,CVHP)
PAYAN5H =[5 0.035 NaN;
4	0.38	NaN;	
4	3.3	NaN;	
8	23.7	NaN;	
];


%Data, 5HNMP total in urine over 3 days		(T, CVHP, dose in order 0.1,1,10,100,500)	
PAYAN5HU=[72 0.01 0.11 1 13 68];



plot(holdcvhp(:,1),holdcvhp(:,2:6), PAYAN5H(:,1),PAYAN5H(:,2) , 'IV plasma 5HNMP.aps')
plot(holdauhp(:,1),holdauhp(:,2:4), PAYAN5HU(:,1),PAYAN5HU(:,2),PAYAN5HU(:,1),PAYAN5HU(:,3),PAYAN5HU(:,1),PAYAN5HU(:,4), 'Payan 2002 IV urine 5HNMP.aps')
plot(holdauhp(:,1),holdauhp(:,4:6), PAYAN5HU(:,1),PAYAN5HU(:,4),PAYAN5HU(:,1),PAYAN5HU(:,5),PAYAN5HU(:,1),PAYAN5HU(:,6), 'Payan 2002 IV urine 5HNMP high.aps')