use ratparam
prepare @clear@all T CV AUHP

%DATA GHANTOR5F (T,AUHP) 
GHANTOR5F=[12.00	0.49;	
24.00	0.60;	
36.00	0.62;	
48.00	0.62;	
72.00	0.64;	
96.00	0.64;	
120.00	0.65];

%(T,CV,AUHP)
GHANTOR50F =[0.25	20.60	NaN;
0.50	28.80	NaN;	
1.00	38.05	NaN;	
1.50	21.40	NaN;	
2.00	31.03	NaN;	
4.00	20.94	NaN;	
6.00	12.01	NaN;	
8.00	5.18	NaN;	
12.00	NaN	4.46;	
24.00	NaN	6.54;
36.00	NaN	6.71;	
48.00	NaN	6.83;	
72.00	NaN	6.92;	
96.00	NaN	6.97;	
120.00	NaN	7.00];

%(T,CV)
MIDG =[0.25 45.2 NaN;
0.5	56.25	NaN;	
2	65.00	NaN;	
3.5	58.00	NaN;	
6	46	1.66;	
8	33.00	NaN;
12 6.1  NaN;
24	NaN	8.40;
72	NaN	8.70;
120	NaN	8.82];

%MIDGLEY ET AL, 1992qs
   BWINIT=0.216; DOSE=104; TSTOP=124; DOSEINTERVAL=148; CINT=0.1;
   start @nocallback
   ares=[_auhp]; cres=[_cv];

%Ghantous
	BWINIT=0.22; DOSE=53.5; start @nocallback
%note, dose is as reported, minus "feed residue", calculated by PS. Also, while methods to measure 
%dosing solution NMP are described, no value is given so the target is assumed and this is based on mass de
  ares=[ares _auhp]; cres=[cres _cv];

%Ghantous
%	BWINIT=0.22; DOSE=5.05; start @nocallback
  ares=[ares _auhp]; cres=[cres _cv];

%MIDGLEY ET AL, 1992 68% FRACOR
%   BWINIT=0.216; DOSE=112; TSTOP=124; DOSEINTERVAL=148; CINT=0.1;
%   start @nocallback 
 ares=[ares _auhp]; cres=[cres _cv];

%Ghantous
%	BWINIT=0.22; DOSE=57.37; start @nocallback
  ares=[ares _auhp]; cres=[cres _cv];

%Ghantous
%	BWINIT=0.22; DOSE=5.05;start @nocallback
  ares=[ares _auhp]; cres=[cres _cv];


plot(_t,ares, MIDG(:,1), MIDG(:,3),GHANTOR50F(:,1), GHANTOR50F(:,3),GHANTOR5F(:,1),GHANTOR5F(:,2),'figGHANTorAUHP.aps')
plot(_t,cres, MIDG(:,1),MIDG(:,2),GHANTOR50F(:,1),GHANTOR50F(:,2),'figGHANTorCV.aps')