prepare @clear @all
preg_rat_params
%ratparams
%preg_rat_params	% Added by Paul Schlosser (PS), U.S. EPA, 05-01-2013
% Other parameters that are redundant to preg_rat_params (including ratparam)
% are commented out below. PS 5-1-13
%CONCPPM=0, VCHC=9E9,
BWINIT=0.232;DOSEINTERVAL=24;TSTOP=528;
TCHNG=6, GDDAYS=0;, MAXT=1; %CINT=1, %MAXT=1E-5, MAXT was less than in ratparam (1e-2 there); PS 5-1-13
%NUMFET=14,PUPBW=5670	% Moved to preg_rat_params.m; PS 5-1-13

%CONCPPM=50.8, BWINIT=0.306,GDDAYS=22,VCHC=9E9,DOSEINTERVAL=24,TSTOP=504,TCHNG=6,MAXT=1E-5
BWINIT=0.262; % Matches GD6 BW of controls in Saillenfait et al. 2002; PS 5-2-13
VFETD18 = 1051.254; % Default from .csl file; PS 5-2-13
start @nocallback
  plot(_t/24, _bw, _t/24, _vfat, _t/24, _vmam, _t/24, _vpla, _t/24, _vfet, 'pregphyschanges.aps')

simres=[_t/24, _bw, _vfat, _vmam, _vpla, _vfet];

save simres @file='pregSims.csv' @format=ascii @separator=comma