% Internal dose calculations for Saillenfait et al. (2003) inhalation study
% Exposure levels (CONCMGS) are those used by Saillenfait plus an external dose BMCL
% Paul Schlosser, U.S.EPA, Aug. 28, 2013
ratparam2
use preg_rat_params
GDDAYS=6.01; CINT=0.01; BWINIT=0.205; TCHNG=6; DOSEINTERVAL=24;
prepare @clear T DAYS AUCBB CV RDOSE
res = [0,0,0,0]; TSTOP=15*24; 
for CONCMGS=[122 243 302 487]
	start @nocallback
	apk = max(_aucbb(_t>24)-_aucbb(_t<(TSTOP-24)));
	res=[res;[CONCMGS,apk,(AUCBB*24/TSTOP),max(_cv)]]
end
plot(_t,_cv)
