% Internal dose calculations for Becci et al. (1982) inhalation study
% Exposure levels (CONCMGS) are those used by Saillenfait plus an external dose BMCL
% Paul Schlosser, U.S.EPA, Aug. 28, 2013
% NOAEL= 237mg/kg/day  based on a developmental study dermally exposing rats to
% NMP for 8-hrs, GD 6 to 15 (Becci et al, 1982).
use ratparam
use preg_rat_params
GDDAYS=6.01; TSTOP=1*24; CINT=0.005; BWINIT=0.263; TWASH=8; DOSEINTERVAL=24; SA=25;VLIQ=1e55
prepare @clear@all
%CINT=0.1;
%for DSK=[75 237 750]
DSK=237
start @nocallback
AUCAVG=AUCBB*24/TSTOP ;   %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=AUCBB;
DAY=(TSTOP-TSTART)/24;
CMAX=max(_cv);


for id=[2 10] %2:10
	TSTOP=TSTART+id*24
	start @nocallback
	AUCAVG=[AUCAVG AUCBB*24/TSTOP];    %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
	AUCTOT=[AUCTOT AUCBB];
	DAY=[DAY (TSTOP-TSTART)/24];
	CMAX=[CMAX max(_cv)];
end

plot(_t,_cv)
plot(_days,_aucbb)  

AUCTOT
AUCAVG
CMAX