% Simulations of Saillenfait et al. (2002) oral gavage bioassay
%t poet changes indicated. 

preg_rat_params
prepare @clear@all  % T DAYS AUCBB CV
BWINIT=0.259  % T Poet - GD6 average (257-262)
GDDAYS=6.01; TSTART=0.2; TSTOP=TSTART+24; CINT=0.01; res = [0,0,0,0]; GDSTOP=20;
DOSEINTERVAL=24; 
DOSE2=374.52
start @nocallback
AUCAVG=AUCBB*24/TSTOP ;   %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
AUCTOT=AUCBB;
DAY=(TSTOP-TSTART)/24;
CMAX=max(_cv);


for id=15 %2:15
	TSTOP=TSTART+id*24
	start @nocallback
	AUCAVG=[AUCAVG AUCBB*24/TSTOP];    %NOTE, THIS WILL BE OFF BY TEH 0.2 HR OFFSET FOR DOSING
	AUCTOT=[AUCTOT AUCBB];
	DAY=[DAY (TSTOP-TSTART)/24];
	CMAX=[CMAX max(_cv)];
end

plot(_days,_cv)
plot(_days,_aucbb)  

AUCTOT
AUCAVG
CMAX