% Simulations of Saillenfait et al. (2002) oral gavage bioassay
% Paul Schlosser, U.S. EPA, Aug. 28, 2013
%t poet changes indicated.
ratparam2 
use preg_rat_params
prepare @clear T DAYS AUCBB CV
BWINIT=0.259  % T Poet - GD6 average (257-262)
GDDAYS=6.01; TSTART=0.; TSTOP=TSTART+15*24; CINT=0.01; res = [0,0,0,0];
%NOTE, BECAUSE OF TEH 0.2 DAY OFFSET ON DOSING, APK IS OFF BY THAT AUC/TIME, CHANGE TSTART TO 0 AND THE APK RESULTS ARE ACCURATE.
for DOSE2=[125 250 500 750]
	start @nocallback
	apk = max(_aucbb(_t>24)-_aucbb(_t<(T-24)))
  res=[res;[DOSE2,apk,(AUCBB*24/TSTOP),max(_cv)]]
end
plot(_t,_cv)
plot(_days,_aucbb)  
